Community
cancel
Showing results for 
Search instead for 
Did you mean: 
352 Views

Windows 10 pip install of oneapi

Jump to solution

I am trying to use pip to install the Intel oneAPI compilers on my windows 10 system via:

pip install intel-openmp==2021.3.0
pip install dpcpp_cpp_rt
pip install fortran_rt

 and get the following error:

Installing collected packages: intel-openmp, impi-rt, common-cmplr-lic-rt, common-cmplr-lib-rt, fortran-rt
Attempting uninstall: intel-openmp
Found existing installation: intel-openmp 2021.3.0
Uninstalling intel-openmp-2021.3.0:
Successfully uninstalled intel-openmp-2021.3.0
Successfully installed common-cmplr-lib-rt-2021.2.0 common-cmplr-lic-rt-2021.2.0 fortran-rt-2021.2.0 impi-rt-2021.3.0 intel-openmp-2021.2.0
ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
dpcpp-cpp-rt 2021.3.0 requires intel-openmp==2021.3.0, but you have intel-openmp 2021.2.0 which is incompatible.

0 Kudos
1 Solution
Soumya_M_Intel
Moderator
212 Views

Hi Zukaitis__Anthony,


Please try installing the required components using the below package names.


intel_openmp

intel_opencl_rt

intel_fortran_rt

intel_cmplr_lic_rt

intel_cmplr_lib_rt

dpcpp_cpp_rt


They have been tested and are installing correctly with pip. 


If there are any connection errors, we would recommend trying again after disabling the system's VPN or other network restrictions that might have been enabled.


Regards,

Soumya


View solution in original post

6 Replies
Soumya_M_Intel
Moderator
307 Views

Hi Zukaitis__Anthony


Thanks for posting your concern on the forum. We are currently checking on it with our internal team. Please wait for 2-3 business days. We will get back to you as soon as possible.


Regards,

Soumya


ChrisB_Intel
Moderator
252 Views

Apologies in the delay in getting back to you, I have opened a bug with engineering on this an am waiting to hear back.


Thanks

Chris



Soumya_M_Intel
Moderator
232 Views

Hi Zukaitis__Anthony


We are still working with our internal team on the concern. We appreciate your patience while we are checking on the issue. Please wait for 2-3 business days. We will get back to you as soon as possible.


Regards,

Soumya


Soumya_M_Intel
Moderator
213 Views

Hi Zukaitis__Anthony,


Please try installing the required components using the below package names.


intel_openmp

intel_opencl_rt

intel_fortran_rt

intel_cmplr_lic_rt

intel_cmplr_lib_rt

dpcpp_cpp_rt


They have been tested and are installing correctly with pip. 


If there are any connection errors, we would recommend trying again after disabling the system's VPN or other network restrictions that might have been enabled.


Regards,

Soumya


View solution in original post

Soumya_M_Intel
Moderator
184 Views

Hi Zukaitis__Anthony,


Please let us know if there are any further concerns.


Regards,

Soumya


Soumya_M_Intel
Moderator
148 Views

Hi Zukaitis__Anthony,


I assume that your issue is resolved. However, if you need any additional information, please post a new question as this thread will no longer be monitored by Intel®. 


Have a nice day ahead.


Regards,

Soumya


Reply